## python-discogs-client 2.3.1

=== requirements.txt ===
six
PyYAML==4.2b1
coverage==3.6
coveralls==0.2
docopt==0.6.1
requests==2.20.0
oauthlib==0.7.2
sh==1.08

=== debian/changelog ===
python-discogs-client (2.3.1-1) unstable; urgency=medium

  * Initial packaging (Closes: #961714)

 -- J0J0 T <jt@peek-a-boo.at>  Mon, 15 Jun 2020 23:07:36 +0200

=== debian/control ===
Source: python-discogs-client
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 J0J0 T <jt@peek-a-boo.at>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-oauthlib,
 python3-setuptools,
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/python-team/modules/python3-discogs-client
Vcs-Browser: https://salsa.debian.org/python-team/modules/python3-discogs-client
Homepage: https://github.com/joalla/discogs_client

Package: python3-discogs-client
Architecture: all
Depends:
 python3-certifi,
 python3-chardet,
 python3-coverage,
 python3-dateutil,
 python3-docopt,
 python3-idna,
 python3-oauthlib,
 python3-pkg-resources,
 python3-requests,
 python3-six,
 python3-urllib3,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Description: Python module to access the Discogs API
 This is an active fork of the "official Discogs API client for Python", which
 was deprecated by discogs.com as of June 2020. We think it is a very useful
 Python module and decided to continue maintaining it. If you'd like to
 contribute your code, you are very welcome to submit a pull-request to
 https://github.com/joalla/discogs_client.
 .
 python3-discogs-client enables you to query the Discogs database (discogs.com)
 through its REST-API for information on artists, releases, labels, users,
 Marketplace listings, and more. It also supports OAuth 1.0a authorization,
 which allows you to change user data such as profile information, collections
 and wantlists, inventory, and orders.
 .
 Find usage information at https://github.com/joalla/discogs_client/README.mkd
 or search and ask in the API section of the Discogs developer forum at
 https://www.discogs.com/forum/topic/1082

=== debian/watch ===
version=4
opts="filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/discogs_client-$1\.tar\.gz/" https://github.com/joj0/discogs_client/tags .*/v?(\d\S+)\.tar\.gz

## python-discogs-client 2.3.5

=== Makefile ===
.PHONY: clean

clean:
	find . -name '*.pyc' -delete
	find . -name __pycache__ -delete

=== requirements.txt ===
nose==1.3.7
PyYAML==4.2b1
coverage==5.0.3
coveralls==0.2
docopt==0.6.1
requests==2.20.0
oauthlib==0.7.2
sh==1.08

=== debian/changelog ===
python-discogs-client (2.3.5-2) unstable; urgency=medium

  [ Johannes Tiefenbacher ]
  * d/control: Fix git paths, debhelper-compat, standards version,
    add Rules-Requires-Root
  * d/rules: Fix PYBUILD_NAME
  * d/gbp.conf: Fix debian-branch
  * d/watch: Fix upstream repo path
  * Run unittests at buildtime
  * Run autopkgtests. Apply patch to upstream fixing import errors (use
    relative path)

 -- Johannes Tiefenbacher <jt@peek-a-boo.at>  Wed, 23 Dec 2020 23:52:31 -0500

python-discogs-client (2.3.5-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

  [ Johannes Tiefenbacher ]
  * Add debian/gbp.conf
  * New upstream release version 2.3.5

 -- Johannes Tiefenbacher <jt@peek-a-boo.at>  Tue, 08 Dec 2020 19:35:33 +0100

=== debian/control ===
Source: python-discogs-client
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Johannes Tiefenbacher <jt@peek-a-boo.at>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-oauthlib,
 python3-setuptools,
 python3-requests,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/python-discogs-client.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-discogs-client
Homepage: https://github.com/joalla/discogs_client

Package: python3-discogs-client
Architecture: all
Depends:
 python3-certifi,
 python3-chardet,
 python3-coverage,
 python3-docopt,
 python3-idna,
 python3-oauthlib,
 python3-pkg-resources,
 python3-requests,
 python3-urllib3,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Description: Python module to access the Discogs API
 This is an active fork of the "official Discogs API client for Python", which
 was deprecated by discogs.com as of June 2020. The Joalla Team decided to
 continue maintenance of this useful Python module. Contributions are welcome
 by submitting pull-requests to https://github.com/joalla/discogs_client.
 .
 python3-discogs-client enables querying the Discogs database (discogs.com)
 through its REST-API for information on artists, releases, labels, users,
 Marketplace listings, and more. It also supports OAuth 1.0a authorization,
 which allows changing user data such as profile information, collections,
 wantlists, inventory and orders.
 .
 Find usage information at
 https://github.com/joalla/discogs_client/blob/master/README.mkd
 or search and ask in the API section of the Discogs developer forum at
 https://www.discogs.com/forum/topic/1082

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=discogs_client

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} -m unittest discover -v" dh_auto_test

=== debian/watch ===
version=4
opts="filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/discogs_client-$1\.tar\.gz/" https://github.com/joalla/discogs_client/releases .*/archive/v(\d\S*)\.tar\.gz

## python-discogs-client 2.5

=== requirements.txt ===
nose
coverage
bump2version

=== debian/changelog ===
python-discogs-client (2.5-1) unstable; urgency=medium

  [ Johannes Tiefenbacher ]
  * New upstream release version 2.3.10
  * d/control: Add dependency python3-dateutil
  * d/control: Add build dependency python3-dateutil

  [ Stefano Rivera ]
  * Team upload.
  * New upstream release, 2.5.
    - Fixes failure to get oauth access token. (Closes: #996545)
  * Switch watch file to git mode, GitHub stopped including tarball links on
    the releases pages.
  * Refresh patches.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 04 Oct 2022 12:01:58 +0200

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
  python3-oauthlib,
  python3-setuptools,
  python3-requests,
+ python3-dateutil,
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-discogs-client.git
@@ -30,6 +31,7 @@
  python3-requests,
  python3-urllib3,
  python3-yaml,
+ python3-dateutil,
  ${misc:Depends},
  ${python3:Depends},
 Description: Python module to access the Discogs API

=== debian/tests/control ===
Tests: unittest
Depends: @, python3-all

=== debian/watch ===
version=4
opts="mode=git, gitmode=full, pgpmode=none" \
	https://github.com/joalla/discogs_client.git \
	refs/tags/v@ANY_VERSION@

## python-discogs-client 2.7.1

=== debian/changelog ===
python-discogs-client (2.7.1-2) unstable; urgency=medium

  * Remove depdency on python3-pkg-resources

 -- Alexandre Detiste <tchet@debian.org>  Sun, 09 Feb 2025 10:55:59 +0100

python-discogs-client (2.7.1-1) unstable; urgency=medium

  * Adopt package (Closes: #1087503)
  * New upstream version 2.7.1
  * Add dep on python3-pydata-sphinx-theme
  * Remove patch applied upstream

 -- Alexandre Detiste <tchet@debian.org>  Sat, 23 Nov 2024 16:28:13 +0100

python-discogs-client (2.7-1) unstable; urgency=medium

  * Team Upload
  * Use dh-sequence-python3
  * New upstream version 2.7 (Closes: #1082206, #1085906, #1083629)
  * Refresh tests

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.

 -- Alexandre Detiste <tchet@debian.org>  Wed, 13 Nov 2024 22:42:00 +0100

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,17 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
- Johannes Tiefenbacher <jt@peek-a-boo.at>,
+ Alexandre Detiste <tchet@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  python3-all,
  python3-oauthlib,
+ python3-pydata-sphinx-theme <!nodoc>,
  python3-setuptools,
  python3-requests,
  python3-dateutil,
-Standards-Version: 4.5.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-discogs-client.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-discogs-client
@@ -27,7 +28,6 @@
  python3-docopt,
  python3-idna,
  python3-oauthlib,
- python3-pkg-resources,
  python3-requests,
  python3-urllib3,
  python3-yaml,

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=discogs_client

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} -m unittest discover -v" dh_auto_test

## python-discogs-client 2.8

=== debian/changelog ===
python-discogs-client (2.8-1) unstable; urgency=medium

  * New upstream version 2.8
  * Refresh patch
  * Drop "Rules-Requires-Root: no": it is the default now
  * Bump Standards-Version: to 4.7.3, drop Priority: tag
  * Add debian/salsa-ci.yml

 -- Alexandre Detiste <tchet@debian.org>  Wed, 07 Jan 2026 13:34:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: python-discogs-client
 Section: python
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Alexandre Detiste <tchet@debian.org>,
@@ -13,8 +12,7 @@
  python3-setuptools,
  python3-requests,
  python3-dateutil,
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-discogs-client.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-discogs-client
 Homepage: https://github.com/joalla/discogs_client
